EDIT - feature request #9229

TaxonNamekEditor: use NomenclaturalStatusDTO to avoid data loading probems within setters in
TaxonName

09/22/2020 02:43 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

due to the changes made in #6581 the setter for NomenclaturalStatus in Taxon Name checks for empty SingleSource entities which
requires annotations etc to be initialized.

Using NomenclaturalStatusDTO instead of the domain entity itself would help avoid the need for initialization of associated
collections

Related issues:
Related to EDIT - feature request #6581: Make all microreferenced references ... Closed

Related to EDIT - feature request #9225: Make TaxonName.nomenclaturalSource a... Closed

Associated revisions

Revision 84b030bf - 09/22/2020 02:46 PM - Andreas Kohlbecker
fix #9229 using NomenclaturalStatusDTO in the TaxonNameEditor

History

#1 - 09/22/2020 02:43 PM - Andreas Kohlbecker

- Related to feature request #6581: Make all microreferenced references OriginalSources added

#2 - 09/22/2020 02:43 PM - Andreas Kohlbecker

- Related to feature request #9225: Make TaxonName.nomenclaturalSource a new DescriptionElementSource subclass added

#3 - 09/22/2020 04:52 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|84b030bfbe7c9c0df2b160149¢c23bb5add938b2a.

#4 - 09/22/2020 04:52 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

tested as being fully functional

#5 - 11/24/2020 05:12 PM - Andreas Kohlbecker
- Status changed from Closed to In Progress

- Priority changed from New to Highest

- % Done changed from 100 to 40

reopening since this implementation is incomplete, see #9318

#6 - 11/24/2020 05:13 PM - Andreas Kohlbecker

- Has duplicate bug #9318: TaxonNameEditor: nomenclatural reference no longer selectable added
https://dev.e-taxonomy.eu/redmine/issues/6581
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/84b030bfbe7c9c0df2b160149c23bb5add938b2a
https://dev.e-taxonomy.eu/redmine/issues/9318

#7 - 11/24/2020 05:15 PM - Andreas Kohlbecker
- Description updated

#8 - 11/24/2020 05:16 PM - Andreas Kohlbecker

- Has duplicate deleted (bug #9318: TaxonNameEditor: nomenclatural reference no longer selectable)

#9 - 11/30/2020 02:04 PM - Andreas Kohlbecker

- Status changed from In Progress to Closed
the issue has been fixed in #9318, so we can close this ticket again.

#10 - 11/30/2020 02:04 PM - Andreas Kohlbecker
- % Done changed from 40 to 100
